use std::io;
use thiserror::Error;

#[derive(Error, Debug)]
pub enum ProcessError {
    #[error("IO error: {0}")]
    Io(#[from] io::Error),
    
    #[error("Path strip error: {0}")]
    StripPrefix(#[from] std::path::StripPrefixError),
    
    #[error("Directory processing error: {0}")]
    Processing(String),
}

pub type Result<T> = std::result::Result<T, ProcessError>; 